<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>EvaluationWorkbook (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EvaluationWorkbook (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EvaluationWorkbook.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/formula/EvaluationSheet.html"
               title="interface in org.apache.poi.ss.formula"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalName.html"
               title="class in org.apache.poi.ss.formula"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/formula/EvaluationWorkbook.html"
               target="_top">Frames</a></li>
        <li><a href="EvaluationWorkbook.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.formula</div>
    <h2 title="Interface EvaluationWorkbook" class="title">Interface EvaluationWorkbook</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html"
                           title="class in org.apache.poi.xssf.usermodel">BaseXSSFEvaluationWorkbook</a>, <a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFEvaluationWorkbook.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFEvaluationWorkbook</a>, <a
                            href="../../../../../org/apache/poi/xssf/streaming/SXSSFEvaluationWorkbook.html"
                            title="class in org.apache.poi.xssf.streaming">SXSSFEvaluationWorkbook</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFEvaluationWorkbook.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFEvaluationWorkbook</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public interface <span class="typeNameLabel">EvaluationWorkbook</span></pre>
                <div class="block">Abstracts a workbook for the purpose of formula evaluation.<br>

                    For POI internal use only
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Josh Micich</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Interface and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalName.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalName</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheet.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheet</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheetRange.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheetRange</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#clearAllCachedResultValues--">clearAllCachedResultValues</a></span>()</code>
                                    <div class="block">Propagated from <a
                                            href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html#clearAllCachedResultValues--"><code>WorkbookEvaluator.clearAllCachedResultValues()</code></a>
                                        to clear locally cached data.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#convertFromExternSheetIndex-int-">convertFromExternSheetIndex</a></span>(int&nbsp;externSheetIndex)</code>
                                    <div class="block">HSSF Only - convert an external sheet index to an internal sheet
                                        index,
                                        for an external-style reference to one of this workbook's own sheets
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalName.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalName</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getExternalName-int-int-">getExternalName</a></span>(int&nbsp;externSheetIndex,
                                    int&nbsp;externNameIndex)</code>
                                    <div class="block">HSSF Only - fetch the external-style name details</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalName.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalName</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getExternalName-java.lang.String-java.lang.String-int-">getExternalName</a></span>(java.lang.String&nbsp;nameName,
                                    java.lang.String&nbsp;sheetName,
                                    int&nbsp;externalWorkbookNumber)</code>
                                    <div class="block">XSSF Only - fetch the external-style name details</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheet.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheet</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getExternalSheet-int-">getExternalSheet</a></span>(int&nbsp;externSheetIndex)</code>
                                    <div class="block">HSSF Only - fetch the external-style sheet details</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheet.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheet</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getExternalSheet-java.lang.String-java.lang.String-int-">getExternalSheet</a></span>(java.lang.String&nbsp;firstSheetName,
                                    java.lang.String&nbsp;lastSheetName,
                                    int&nbsp;externalWorkbookNumber)</code>
                                    <div class="block">XSSF Only - fetch the external-style sheet details</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getFormulaTokens-org.apache.poi.ss.formula.EvaluationCell-">getFormulaTokens</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationCell.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationCell</a>&nbsp;cell)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationName.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationName</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getName-org.apache.poi.ss.formula.ptg.NamePtg-">getName</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/NamePtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">NamePtg</a>&nbsp;namePtg)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationName.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationName</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getName-java.lang.String-int-">getName</a></span>(java.lang.String&nbsp;name,
                                    int&nbsp;sheetIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationSheet.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationSheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getSheet-int-">getSheet</a></span>(int&nbsp;sheetIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getSheetIndex-org.apache.poi.ss.formula.EvaluationSheet-">getSheetIndex</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationSheet.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationSheet</a>&nbsp;sheet)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getSheetIndex-java.lang.String-">getSheetIndex</a></span>(java.lang.String&nbsp;sheetName)</code>
                                    <div class="block">Finds a sheet index by case insensitive name.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getSheetName-int-">getSheetName</a></span>(int&nbsp;sheetIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                        title="enum in org.apache.poi.ss">SpreadsheetVersion</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getSpreadsheetVersion--">getSpreadsheetVersion</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/udf/UDFFinder.html"
                                        title="interface in org.apache.poi.ss.formula.udf">UDFFinder</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getUDFFinder--">getUDFFinder</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#resolveNameXText-org.apache.poi.ss.formula.ptg.NameXPtg-">resolveNameXText</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/NameXPtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">NameXPtg</a>&nbsp;ptg)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getSheetName-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheetName</h4>
                                <pre>java.lang.String&nbsp;getSheetName(int&nbsp;sheetIndex)</pre>
                            </li>
                        </ul>
                        <a name="getSheetIndex-org.apache.poi.ss.formula.EvaluationSheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheetIndex</h4>
                                <pre>int&nbsp;getSheetIndex(<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationSheet.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationSheet</a>&nbsp;sheet)</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>-1 if the specified sheet is from a different book</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheetIndex-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheetIndex</h4>
                                <pre>int&nbsp;getSheetIndex(java.lang.String&nbsp;sheetName)</pre>
                                <div class="block">Finds a sheet index by case insensitive name.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the index of the sheet matching the specified name. -1 if not found</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheet-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheet</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/formula/EvaluationSheet.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationSheet</a>&nbsp;getSheet(int&nbsp;sheetIndex)</pre>
                            </li>
                        </ul>
                        <a name="getExternalSheet-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExternalSheet</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheet.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheet</a>&nbsp;getExternalSheet(int&nbsp;externSheetIndex)</pre>
                                <div class="block">HSSF Only - fetch the external-style sheet details
                                    <p>Return will have no workbook set if it's actually in our own workbook</p></div>
                            </li>
                        </ul>
                        <a name="getExternalSheet-java.lang.String-java.lang.String-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExternalSheet</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheet.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheet</a>&nbsp;getExternalSheet(java.lang.String&nbsp;firstSheetName,
                                                  java.lang.String&nbsp;lastSheetName,
                                                  int&nbsp;externalWorkbookNumber)</pre>
                                <div class="block">XSSF Only - fetch the external-style sheet details
                                    <p>Return will have no workbook set if it's actually in our own workbook</p></div>
                            </li>
                        </ul>
                        <a name="convertFromExternSheetIndex-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>convertFromExternSheetIndex</h4>
                                <pre>int&nbsp;convertFromExternSheetIndex(int&nbsp;externSheetIndex)</pre>
                                <div class="block">HSSF Only - convert an external sheet index to an internal sheet
                                    index,
                                    for an external-style reference to one of this workbook's own sheets
                                </div>
                            </li>
                        </ul>
                        <a name="getExternalName-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExternalName</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalName.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalName</a>&nbsp;getExternalName(int&nbsp;externSheetIndex,
                                                int&nbsp;externNameIndex)</pre>
                                <div class="block">HSSF Only - fetch the external-style name details</div>
                            </li>
                        </ul>
                        <a name="getExternalName-java.lang.String-java.lang.String-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExternalName</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalName.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalName</a>&nbsp;getExternalName(java.lang.String&nbsp;nameName,
                                                java.lang.String&nbsp;sheetName,
                                                int&nbsp;externalWorkbookNumber)</pre>
                                <div class="block">XSSF Only - fetch the external-style name details</div>
                            </li>
                        </ul>
                        <a name="getName-org.apache.poi.ss.formula.ptg.NamePtg-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getName</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/formula/EvaluationName.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationName</a>&nbsp;getName(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/NamePtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">NamePtg</a>&nbsp;namePtg)</pre>
                            </li>
                        </ul>
                        <a name="getName-java.lang.String-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getName</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/formula/EvaluationName.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationName</a>&nbsp;getName(java.lang.String&nbsp;name,
                       int&nbsp;sheetIndex)</pre>
                            </li>
                        </ul>
                        <a name="resolveNameXText-org.apache.poi.ss.formula.ptg.NameXPtg-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>resolveNameXText</h4>
                                <pre>java.lang.String&nbsp;resolveNameXText(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/NameXPtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">NameXPtg</a>&nbsp;ptg)</pre>
                            </li>
                        </ul>
                        <a name="getFormulaTokens-org.apache.poi.ss.formula.EvaluationCell-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormulaTokens</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;getFormulaTokens(<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationCell.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationCell</a>&nbsp;cell)</pre>
                            </li>
                        </ul>
                        <a name="getUDFFinder--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUDFFinder</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/formula/udf/UDFFinder.html"
                                        title="interface in org.apache.poi.ss.formula.udf">UDFFinder</a>&nbsp;getUDFFinder()</pre>
                            </li>
                        </ul>
                        <a name="getSpreadsheetVersion--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSpreadsheetVersion</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                        title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;getSpreadsheetVersion()</pre>
                            </li>
                        </ul>
                        <a name="clearAllCachedResultValues--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>clearAllCachedResultValues</h4>
                                <pre>void&nbsp;clearAllCachedResultValues()</pre>
                                <div class="block">Propagated from <a
                                        href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html#clearAllCachedResultValues--"><code>WorkbookEvaluator.clearAllCachedResultValues()</code></a>
                                    to clear locally cached data.
                                    Implementations must call the same method on all referenced <a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationSheet.html"
                                            title="interface in org.apache.poi.ss.formula"><code>EvaluationSheet</code></a>
                                    instances, as well as clearing local caches.
                                </div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15 beta 3</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html#clearAllCachedResultValues--"><code>WorkbookEvaluator.clearAllCachedResultValues()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EvaluationWorkbook.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/formula/EvaluationSheet.html"
               title="interface in org.apache.poi.ss.formula"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalName.html"
               title="class in org.apache.poi.ss.formula"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/formula/EvaluationWorkbook.html"
               target="_top">Frames</a></li>
        <li><a href="EvaluationWorkbook.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
